Subject: Re: bug#47911: Improving the package outputs UI

From: Leo Famulari <[email-masked]>
Date: Tue, 20 Apr 2021 20:52:51 -0400

On Wed, Apr 21, 2021 at 12:05:05AM +0200, Tobias Geerinckx-Rice wrote:
> Leo Famulari writes:
> > Another idea I had is to make Guix accept the concatenation of
> > packagename-output in the UI.
> 
> I'm firmly against this (but read on :-)
> 
> > For example, `guix install git-send-email`, instead of `git:send-email`.
> > 
> > But maybe that is going too far, I'm not sure.
> 
> I think it is, but the intention is good.

It's definitely pie-in-the-sky daydreaming :)

> Instead, Guix could suggest (‘did you mean...?’) like it does for commands.
> 
>  ~ λ guix install git-send-email
>  guix install: error: git-send-email: unknown package
>  hint: Did you mean one of:
>  git:send-email

I think that's a better idea.